MODBUS_RTU_SET_RTS_D(3)

NAME
modbus_rtu_set_rts_delay - set the RTS delay in RTU

SYNOPSIS

int modbus_rtu_set_rts_delay(modbus_t *ctx, int us);

DESCRIPTION

The modbus_rtu_set_rts_delay() function shall set the Request To Send delay period of the libmodbus context ctx.

This function can only be used with a context using a RTU backend.

RETURN VALUE

The modbus_rtu_set_rts_delay() function shall return 0 if successful. Otherwise it shall return -1 and set errno.

ERRORS

EINVAL
    The libmodbus backend is not RTU or a negative delay was specified.

SEE ALSO

modbus_rtu_get_rts_delay(3)

AUTHORS

Jimmy Bergström <jimmy@ekontroll.com>

The libmodbus documentation was written by Stéphane Raimbault <stephane.raimbault@gmail.com>